Class | String
In: | lib/charlock_holmes/string.rb
Parent: | Object

### Methods

detect_encoding detect_encoding! detect_encodings encoding_detector

### Public Instance methods

detect_encoding(hint_enc=nil)

Attempt to detect the encoding of this string

Returns: a Hash with :encoding, :language, :type and :confidence

detect_encoding!(hint_enc=nil)

Attempt to detect the encoding of this string then set the encoding to what was detected ala `force_encoding`

Returns: self

detect_encodings(hint_enc=nil)

Attempt to detect the encoding of this string, and return a list with all the possible encodings that match it.

Returns: an Array with zero or more Hashes,

             each one of them with with :encoding, :language, :type and :confidence

### Protected Instance methods

encoding_detector()

[Validate]